---
gitlab: kisha.mavryck
name: Kisha Mavryck Richardson
job_title: Manager, Engineering
departments:
- Core Development
- Engineering Function
- Development Department
- Dev Section
- Create:Editor Extensions
division: Engineering
reports_to: dsatcher
specialty:
- 'Create: Editor Extensions'
picture: kishamavryckrichardson.jpg
role: <a href="https://handbook.gitlab.com/job-families/engineering/development/management/engineering-manager/">
  Engineering Manager</a>
twitter:
linkedin:
story:
expertise:
pronouns:
pronunciation:
public: true

